# module Log::Configuration

##
Overview

Used in `Log.setup` methods to configure the binding to be used.

##
Direct including types

- Log::Builder

##
Defined in:

log/builder.cr

##
Instance Method Summary

- #bind(source : String, level : Severity, backend : Backend)

  Binds a source pattern to a backend for all logs that are of severity equal or higher to level.

##
Instance Method Detail

abstract def bind(source : String, level : Severity, backend : Backend) #

Binds a source pattern to a backend for all logs that are of severity equal or higher to level.